QuickFIX: FIX::CheckSumField Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::CheckSumField Class Reference

Field that contains a checksum value. More...

`#include <Field.h>`

Inheritance diagram for FIX::CheckSumField:
[legend]
Collaboration diagram for FIX::CheckSumField:
[legend]

List of all members.

## Public Member Functions
| CheckSumField (int field, int data)
| CheckSumField (int field)
void | setValue (int value)
int | getValue () const throw ( IncorrectDataFormat )
| Get the string representation of the Field (i.e.) 55=MSFT[SOH].
| operator const int () const

## Detailed Description

Field that contains a checksum value.

Definition at line 415 of file Field.h.

## Constructor & Destructor Documentation

FIX::CheckSumField::CheckSumField | ( | int | field,
|  | int | data |
| ) |  |  | `[inline, explicit]`

Definition at line 418 of file Field.h.

    00419 : FieldBase( field, CheckSumConvertor::convert( data ) ) {}

FIX::CheckSumField::CheckSumField | ( | int | field | ) | `[inline]`

Definition at line 420 of file Field.h.

    00421 : FieldBase( field, "" ) {}

## Member Function Documentation

int FIX::CheckSumField::getValue | ( |  | ) | const throw ( IncorrectDataFormat )`[inline]`

Get the string representation of the Field (i.e.) 55=MSFT[SOH].

Reimplemented from FIX::FieldBase.

Definition at line 425 of file Field.h.

    00426     { try
    00427       { return CheckSumConvertor::convert( getString() ); }
    00428       catch( FieldConvertError& )
    00429       { throw IncorrectDataFormat( getField(), getString() ); } }

FIX::CheckSumField::operator const int | ( |  | ) | const`[inline]`

Definition at line 430 of file Field.h.

    00431     { return getValue(); }

void FIX::CheckSumField::setValue | ( | int | value | ) | `[inline]`

Definition at line 423 of file Field.h.

    00424     { setString( CheckSumConvertor::convert( value ) ); }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Field.h